Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Subversive » Latest update severely pooches Eclipse
Latest update severely pooches Eclipse [message #45048] Tue, 28 April 2009 13:58 Go to next message
Steve Whatmore is currently offline Steve Whatmore
Messages: 95
Registered: July 2009
Member
Good afternoon,

I just did an update to the latest version of the SVN packages that became
available today and it has severely pooched my Eclipse (3.4.1)

No problem, I say, I will just revert to the last known good configuration.
Alas, that did not work either (which seems contrary to exactly what that
option is available for in the first place - but that is yet another issue)

I am receiving the following message:

An internal error occurred during: "Updating Synchronize view for
org.eclipse.team.svn.core.synchronize.UpdateSubscriber"
org.eclipse.team.svn.core.connector.SVNChangeStatus.<init>(Ljava/lang/String;Ljava/lang/String...

Has anyone else hit this issue and is there a work-around?

I tried deleting my projects and rechecking them out of SVN which seems to
work fine (the checkout that is), but the above problem persists, basically
rendering my Eclipse useless.

Whatty
Re: Latest update severely pooches Eclipse [message #45058 is a reply to message #45048] Tue, 28 April 2009 15:27 Go to previous messageGo to next message
Steve Whatmore is currently offline Steve Whatmore
Messages: 95
Registered: July 2009
Member
Actually, I spoke too soon and the checkout of the project doesn't
completely succeed either, hitting essentially the same problem.

"Whatty" <steven.whatmore@lynxdev.com> wrote in message
news:gt7g49$tov$1@build.eclipse.org...
> Good afternoon,
>
> I just did an update to the latest version of the SVN packages that became
> available today and it has severely pooched my Eclipse (3.4.1)
>
> No problem, I say, I will just revert to the last known good
> configuration. Alas, that did not work either (which seems contrary to
> exactly what that option is available for in the first place - but that is
> yet another issue)
>
> I am receiving the following message:
>
> An internal error occurred during: "Updating Synchronize view for
> org.eclipse.team.svn.core.synchronize.UpdateSubscriber"
>
> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init>(Ljava/lang/String;Ljava/lang/String...
>
> Has anyone else hit this issue and is there a work-around?
>
> I tried deleting my projects and rechecking them out of SVN which seems to
> work fine (the checkout that is), but the above problem persists,
> basically rendering my Eclipse useless.
>
> Whatty
>
>
Re: Latest update severely pooches Eclipse [message #45070 is a reply to message #45058] Tue, 28 April 2009 17:11 Go to previous messageGo to next message
Steve Whatmore is currently offline Steve Whatmore
Messages: 95
Registered: July 2009
Member
After going to a clean install of Eclipse and downloading the the SVN
packages (I was truly hoping that a fresh install with the latest package
would work) I have determined that the 0.7.8 release is total JUNK.

Is the 0.7.7 update site still available somewhere?

Furthermore, is this a problem that is specific to my installation (I doubt
highly since it is fairly generic) and should the update package be pulled?

Whatty

"Whatty" <steven.whatmore@lynxdev.com> wrote in message
news:gt7laa$5c8$1@build.eclipse.org...
> Actually, I spoke too soon and the checkout of the project doesn't
> completely succeed either, hitting essentially the same problem.
>
> "Whatty" <steven.whatmore@lynxdev.com> wrote in message
> news:gt7g49$tov$1@build.eclipse.org...
>> Good afternoon,
>>
>> I just did an update to the latest version of the SVN packages that
>> became available today and it has severely pooched my Eclipse (3.4.1)
>>
>> No problem, I say, I will just revert to the last known good
>> configuration. Alas, that did not work either (which seems contrary to
>> exactly what that option is available for in the first place - but that
>> is yet another issue)
>>
>> I am receiving the following message:
>>
>> An internal error occurred during: "Updating Synchronize view for
>> org.eclipse.team.svn.core.synchronize.UpdateSubscriber"
>>
>> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init>(Ljava/lang/String;Ljava/lang/String...
>>
>> Has anyone else hit this issue and is there a work-around?
>>
>> I tried deleting my projects and rechecking them out of SVN which seems
>> to work fine (the checkout that is), but the above problem persists,
>> basically rendering my Eclipse useless.
>>
>> Whatty
>>
>>
>
>
Re: Latest update severely pooches Eclipse [message #45082 is a reply to message #45070] Tue, 28 April 2009 17:33 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3228
Registered: July 2009
Senior Member
I also see this problem. Here's a complete stack-trace:

An internal error occurred during: "Updating Change Sets for org.eclipse.team.svn.core.synchronize.UpdateSubscriber".
java.lang.NoSuchMethodError:
org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
at org.tigris.subversion.javahl.ConversionUtility.convert(Conve rsionUtility.java:287)
at org.tigris.subversion.javahl.ConversionUtility$4.doStatus(Co nversionUtility.java:146)
at org.tmatesoft.svn.core.javahl.SVNClientImpl$2.handleStatus(S VNClientImpl.java:285)
at org.tmatesoft.svn.core.internal.wc.SVNStatusEditor.getDirSta tus(SVNStatusEditor.java:160)
at org.tmatesoft.svn.core.internal.wc.SVNStatusEditor.closeEdit (SVNStatusEditor.java:104)
at org.tmatesoft.svn.core.wc.SVNStatusClient.doStatus(SVNStatus Client.java:375)
at org.tmatesoft.svn.core.javahl.SVNClientImpl.status(SVNClient Impl.java:300)
at org.tmatesoft.svn.core.javahl.SVNClientImpl.status(SVNClient Impl.java:282)
at org.polarion.team.svn.connector.svnkit.SVNKitConnector.statu s(SVNKitConnector.java:334)
at org.eclipse.team.svn.core.extension.factory.ThreadNameModifi er.status(ThreadNameModifier.java:608)
at org.eclipse.team.svn.core.utility.SVNUtility.status(SVNUtili ty.java:289)
at org.eclipse.team.svn.core.utility.SVNUtility.getSVNInfoForNo tConnected(SVNUtility.java:762)
at org.eclipse.team.svn.core.SVNTeamProvider.uploadRepositoryRe source(SVNTeamProvider.java:241)
at org.eclipse.team.svn.core.SVNTeamProvider.connectToProject(S VNTeamProvider.java:172)
at org.eclipse.team.svn.core.SVNTeamProvider.getRepositoryResou rce(SVNTeamProvider.java:71)
at org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLo calResourcesSubTreeSVNImpl(SVNRemoteStorage.java:714)
at org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLo calResourcesSubTree(SVNRemoteStorage.java:605)
at org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.asLoca lResource(SVNRemoteStorage.java:371)
at org.eclipse.team.svn.core.synchronize.AbstractSVNSubscriber. getSyncInfo(AbstractSVNSubscriber.java:127)
at org.eclipse.team.core.subscribers.Subscriber.getDiff(Subscri ber.java:370)
at org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager.getDiff(SubscriberChangeSetManager.java:302)
at
org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager$EventHandler.handleChange(SubscriberChangeSetManag er.java:183)
at
org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager$EventHandler.doDispatchEvents(SubscriberChangeSetM anager.java:80)
at org.eclipse.team.internal.core.BackgroundEventHandler.dispat chEvents(BackgroundEventHandler.java:394)
at org.eclipse.team.internal.core.BackgroundEventHandler.proces sEvents(BackgroundEventHandler.java:374)
at org.eclipse.team.internal.core.BackgroundEventHandler$1.run( BackgroundEventHandler.java:203)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

HTH,
- thomas

Whatty wrote:
> After going to a clean install of Eclipse and downloading the the SVN
> packages (I was truly hoping that a fresh install with the latest package
> would work) I have determined that the 0.7.8 release is total JUNK.
>
> Is the 0.7.7 update site still available somewhere?
>
> Furthermore, is this a problem that is specific to my installation (I doubt
> highly since it is fairly generic) and should the update package be pulled?
>
> Whatty
>
> "Whatty" <steven.whatmore@lynxdev.com> wrote in message
> news:gt7laa$5c8$1@build.eclipse.org...
>> Actually, I spoke too soon and the checkout of the project doesn't
>> completely succeed either, hitting essentially the same problem.
>>
>> "Whatty" <steven.whatmore@lynxdev.com> wrote in message
>> news:gt7g49$tov$1@build.eclipse.org...
>>> Good afternoon,
>>>
>>> I just did an update to the latest version of the SVN packages that
>>> became available today and it has severely pooched my Eclipse (3.4.1)
>>>
>>> No problem, I say, I will just revert to the last known good
>>> configuration. Alas, that did not work either (which seems contrary to
>>> exactly what that option is available for in the first place - but that
>>> is yet another issue)
>>>
>>> I am receiving the following message:
>>>
>>> An internal error occurred during: "Updating Synchronize view for
>>> org.eclipse.team.svn.core.synchronize.UpdateSubscriber"
>>>
>>> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init>(Ljava/lang/String;Ljava/lang/String...
>>>
>>> Has anyone else hit this issue and is there a work-around?
>>>
>>> I tried deleting my projects and rechecking them out of SVN which seems
>>> to work fine (the checkout that is), but the above problem persists,
>>> basically rendering my Eclipse useless.
>>>
>>> Whatty
>>>
>>>
>>
>
>
Re: Latest update severely pooches Eclipse [message #45114 is a reply to message #45082] Tue, 28 April 2009 17:37 Go to previous messageGo to next message
Damir Murat is currently offline Damir Murat
Messages: 2
Registered: July 2009
Junior Member
Same problem here...

Best regards,
Damir Murat
Re: Latest update severely pooches Eclipse [message #45141 is a reply to message #45114] Tue, 28 April 2009 17:49 Go to previous messageGo to next message
Eclipse User
Originally posted by: andrealuciano.dessi.gmail.com

Damir Murat ha scritto:
> Same problem here...
>
> Best regards,
> Damir Murat


and same problem here...

!ENTRY org.eclipse.core.jobs 4 2 2009-04-28 23:04:03.273
!MESSAGE An internal error occurred during: "Updating Change Sets for
org.eclipse.team.svn.core.synchronize.UpdateSubscriber".
!STACK 0
java.lang.NoSuchMethodError:
org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
at
org.tigris.subversion.javahl.ConversionUtility.convert(Conve rsionUtility.java:282)
at
org.tigris.subversion.javahl.ConversionUtility$4.doStatus(Co nversionUtility.java:146)
at
org.tmatesoft.svn.core.javahl.SVNClientImpl$2.handleStatus(S VNClientImpl.java:285)
at
org.tmatesoft.svn.core.internal.wc.SVNStatusEditor.getDirSta tus(SVNStatusEditor.java:160)
at
org.tmatesoft.svn.core.internal.wc.SVNStatusEditor.closeEdit (SVNStatusEditor.java:104)
at
org.tmatesoft.svn.core.wc.SVNStatusClient.doStatus(SVNStatus Client.java:375)
at
org.tmatesoft.svn.core.javahl.SVNClientImpl.status(SVNClient Impl.java:300)
at
org.tmatesoft.svn.core.javahl.SVNClientImpl.status(SVNClient Impl.java:282)
at
org.polarion.team.svn.connector.svnkit.SVNKitConnector.statu s(SVNKitConnector.java:334)
at
org.eclipse.team.svn.core.extension.factory.ThreadNameModifi er.status(ThreadNameModifier.java:608)
at org.eclipse.team.svn.core.utility.SVNUtility.status(SVNUtili ty.java:289)
at
org.eclipse.team.svn.core.utility.SVNUtility.getSVNInfoForNo tConnected(SVNUtility.java:762)
at
org.eclipse.team.svn.core.SVNTeamProvider.uploadRepositoryRe source(SVNTeamProvider.java:241)
at
org.eclipse.team.svn.core.SVNTeamProvider.connectToProject(S VNTeamProvider.java:172)
at
org.eclipse.team.svn.core.SVNTeamProvider.getRepositoryResou rce(SVNTeamProvider.java:71)
at
org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLo calResourcesSubTreeSVNImpl(SVNRemoteStorage.java:714)
at
org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLo calResourcesSubTree(SVNRemoteStorage.java:605)
at
org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.asLoca lResource(SVNRemoteStorage.java:371)
at
org.eclipse.team.svn.core.synchronize.AbstractSVNSubscriber. getSyncInfo(AbstractSVNSubscriber.java:127)
at
org.eclipse.team.core.subscribers.Subscriber.getDiff(Subscri ber.java:370)
at
org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager.getDiff(SubscriberChangeSetManager.java:302)
at
org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager$EventHandler.handleChange(SubscriberChangeSetManag er.java:183)
at
org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager$EventHandler.doDispatchEvents(SubscriberChangeSetM anager.java:80)
at
org.eclipse.team.internal.core.BackgroundEventHandler.dispat chEvents(BackgroundEventHandler.java:394)
at
org.eclipse.team.internal.core.BackgroundEventHandler.proces sEvents(BackgroundEventHandler.java:374)
at
org.eclipse.team.internal.core.BackgroundEventHandler$1.run( BackgroundEventHandler.java:203)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Re: Latest update severely pooches Eclipse [message #45169 is a reply to message #45141] Tue, 28 April 2009 18:58 Go to previous messageGo to next message
Steve Whatmore is currently offline Steve Whatmore
Messages: 95
Registered: July 2009
Member
I guess the vote is in.

Could the SVN team please put back up the 0.7.7 update site link so I can
recover and get some work done tomorrow.

"a.dessi" <andrealuciano.dessi@gmail.com> wrote in message
news:49F779D6.8070402@gmail.com...
> Damir Murat ha scritto:
>> Same problem here...
>>
>> Best regards,
>> Damir Murat
>
>
> and same problem here...
>
> !ENTRY org.eclipse.core.jobs 4 2 2009-04-28 23:04:03.273
> !MESSAGE An internal error occurred during: "Updating Change Sets for
> org.eclipse.team.svn.core.synchronize.UpdateSubscriber".
> !STACK 0
> java.lang.NoSuchMethodError:
> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
> at
> org.tigris.subversion.javahl.ConversionUtility.convert(Conve rsionUtility.java:282)
> at
> org.tigris.subversion.javahl.ConversionUtility$4.doStatus(Co nversionUtility.java:146)
> at
> org.tmatesoft.svn.core.javahl.SVNClientImpl$2.handleStatus(S VNClientImpl.java:285)
> at
> org.tmatesoft.svn.core.internal.wc.SVNStatusEditor.getDirSta tus(SVNStatusEditor.java:160)
> at
> org.tmatesoft.svn.core.internal.wc.SVNStatusEditor.closeEdit (SVNStatusEditor.java:104)
> at
> org.tmatesoft.svn.core.wc.SVNStatusClient.doStatus(SVNStatus Client.java:375)
> at
> org.tmatesoft.svn.core.javahl.SVNClientImpl.status(SVNClient Impl.java:300)
> at
> org.tmatesoft.svn.core.javahl.SVNClientImpl.status(SVNClient Impl.java:282)
> at
> org.polarion.team.svn.connector.svnkit.SVNKitConnector.statu s(SVNKitConnector.java:334)
> at
> org.eclipse.team.svn.core.extension.factory.ThreadNameModifi er.status(ThreadNameModifier.java:608)
> at
> org.eclipse.team.svn.core.utility.SVNUtility.status(SVNUtili ty.java:289)
> at
> org.eclipse.team.svn.core.utility.SVNUtility.getSVNInfoForNo tConnected(SVNUtility.java:762)
> at
> org.eclipse.team.svn.core.SVNTeamProvider.uploadRepositoryRe source(SVNTeamProvider.java:241)
> at
> org.eclipse.team.svn.core.SVNTeamProvider.connectToProject(S VNTeamProvider.java:172)
> at
> org.eclipse.team.svn.core.SVNTeamProvider.getRepositoryResou rce(SVNTeamProvider.java:71)
> at
> org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLo calResourcesSubTreeSVNImpl(SVNRemoteStorage.java:714)
> at
> org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLo calResourcesSubTree(SVNRemoteStorage.java:605)
> at
> org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.asLoca lResource(SVNRemoteStorage.java:371)
> at
> org.eclipse.team.svn.core.synchronize.AbstractSVNSubscriber. getSyncInfo(AbstractSVNSubscriber.java:127)
> at
> org.eclipse.team.core.subscribers.Subscriber.getDiff(Subscri ber.java:370)
> at
> org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager.getDiff(SubscriberChangeSetManager.java:302)
> at
> org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager$EventHandler.handleChange(SubscriberChangeSetManag er.java:183)
> at
> org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager$EventHandler.doDispatchEvents(SubscriberChangeSetM anager.java:80)
> at
> org.eclipse.team.internal.core.BackgroundEventHandler.dispat chEvents(BackgroundEventHandler.java:394)
> at
> org.eclipse.team.internal.core.BackgroundEventHandler.proces sEvents(BackgroundEventHandler.java:374)
> at
> org.eclipse.team.internal.core.BackgroundEventHandler$1.run( BackgroundEventHandler.java:203)
> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Re: Latest update severely pooches Eclipse [message #45199 is a reply to message #45169] Wed, 29 April 2009 01:09 Go to previous messageGo to next message
Will Horn is currently offline Will Horn
Messages: 265
Registered: July 2009
Senior Member
I don't mean to spam the newsgroup, but I'd like to add my vote too as this
has crippled my IDE.

I guess the revert functionality depends on the old versions being available
and they are not.

"Whatty" <steven.whatmore@lynxdev.com> wrote in message
news:gt81mi$165$1@build.eclipse.org...
>
> I guess the vote is in.
>
> Could the SVN team please put back up the 0.7.7 update site link so I can
> recover and get some work done tomorrow.
>
> "a.dessi" <andrealuciano.dessi@gmail.com> wrote in message
> news:49F779D6.8070402@gmail.com...
>> Damir Murat ha scritto:
>>> Same problem here...
>>>
>>> Best regards,
>>> Damir Murat
>>
>>
>> and same problem here...
>>
>> !ENTRY org.eclipse.core.jobs 4 2 2009-04-28 23:04:03.273
>> !MESSAGE An internal error occurred during: "Updating Change Sets for
>> org.eclipse.team.svn.core.synchronize.UpdateSubscriber".
>> !STACK 0
>> java.lang.NoSuchMethodError:
>> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
>> at
>> org.tigris.subversion.javahl.ConversionUtility.convert(Conve rsionUtility.java:282)
>> at
>> org.tigris.subversion.javahl.ConversionUtility$4.doStatus(Co nversionUtility.java:146)
>> at
>> org.tmatesoft.svn.core.javahl.SVNClientImpl$2.handleStatus(S VNClientImpl.java:285)
>> at
>> org.tmatesoft.svn.core.internal.wc.SVNStatusEditor.getDirSta tus(SVNStatusEditor.java:160)
>> at
>> org.tmatesoft.svn.core.internal.wc.SVNStatusEditor.closeEdit (SVNStatusEditor.java:104)
>> at
>> org.tmatesoft.svn.core.wc.SVNStatusClient.doStatus(SVNStatus Client.java:375)
>> at
>> org.tmatesoft.svn.core.javahl.SVNClientImpl.status(SVNClient Impl.java:300)
>> at
>> org.tmatesoft.svn.core.javahl.SVNClientImpl.status(SVNClient Impl.java:282)
>> at
>> org.polarion.team.svn.connector.svnkit.SVNKitConnector.statu s(SVNKitConnector.java:334)
>> at
>> org.eclipse.team.svn.core.extension.factory.ThreadNameModifi er.status(ThreadNameModifier.java:608)
>> at
>> org.eclipse.team.svn.core.utility.SVNUtility.status(SVNUtili ty.java:289)
>> at
>> org.eclipse.team.svn.core.utility.SVNUtility.getSVNInfoForNo tConnected(SVNUtility.java:762)
>> at
>> org.eclipse.team.svn.core.SVNTeamProvider.uploadRepositoryRe source(SVNTeamProvider.java:241)
>> at
>> org.eclipse.team.svn.core.SVNTeamProvider.connectToProject(S VNTeamProvider.java:172)
>> at
>> org.eclipse.team.svn.core.SVNTeamProvider.getRepositoryResou rce(SVNTeamProvider.java:71)
>> at
>> org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLo calResourcesSubTreeSVNImpl(SVNRemoteStorage.java:714)
>> at
>> org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.loadLo calResourcesSubTree(SVNRemoteStorage.java:605)
>> at
>> org.eclipse.team.svn.core.svnstorage.SVNRemoteStorage.asLoca lResource(SVNRemoteStorage.java:371)
>> at
>> org.eclipse.team.svn.core.synchronize.AbstractSVNSubscriber. getSyncInfo(AbstractSVNSubscriber.java:127)
>> at
>> org.eclipse.team.core.subscribers.Subscriber.getDiff(Subscri ber.java:370)
>> at
>> org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager.getDiff(SubscriberChangeSetManager.java:302)
>> at
>> org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager$EventHandler.handleChange(SubscriberChangeSetManag er.java:183)
>> at
>> org.eclipse.team.internal.core.subscribers.SubscriberChangeS etManager$EventHandler.doDispatchEvents(SubscriberChangeSetM anager.java:80)
>> at
>> org.eclipse.team.internal.core.BackgroundEventHandler.dispat chEvents(BackgroundEventHandler.java:394)
>> at
>> org.eclipse.team.internal.core.BackgroundEventHandler.proces sEvents(BackgroundEventHandler.java:374)
>> at
>> org.eclipse.team.internal.core.BackgroundEventHandler$1.run( BackgroundEventHandler.java:203)
>> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
>
>
Re: Latest update severely pooches Eclipse [message #45230 is a reply to message #45199] Wed, 29 April 2009 03:45 Go to previous messageGo to next message
Jens Ohlsson is currently offline Jens Ohlsson
Messages: 8
Registered: July 2009
Junior Member
Same here. Spent half the day yersterday to restore my eclipse
installation.

The 0.7.7 release is available as a local update site at:

Archived Headless Update Site:
http://www.eclipse.org/downloads/download.php?file=/technolo gy/subversive/0.7/builds/Subversive-headless-incubation-0.7. 7.I20090224-1900.zip

Perhaps there's an easy way to downgrade the plugin, but I had to manually
edit a couple of files in my installation to uninstall the 0.7.8 version.
Uninstall and revert didn't work. After that I installed fom my local
downloaded update site.
Re: Latest update severely pooches Eclipse [message #45262 is a reply to message #45230] Wed, 29 April 2009 04:32 Go to previous messageGo to next message
Eclipse User
Originally posted by: andrealuciano.dessi.gmail.com

Jens Ohlsson:
> Perhaps there's an easy way to downgrade the plugin, but I had to
> manually edit a couple of files in my installation to uninstall the
> 0.7.8 version. Uninstall and revert didn't work. After that I installed
> fom my local downloaded update site.

Yes. Actually the quickest way to downgrade your eclipse with subversive
077 is:

- remove all Subversive components from eclise using the normal way
- remove all URL concerning Subversive from your update sites list
- download this Subversive-incubation-0.7.7.I20090224-1900.zip
- add to your update site list this
Subversive-incubation-0.7.7.I20090224-1900.zip

- add to your update site the connector site
http://www.polarion.org/projects/subversive/download/eclipse /2.0/update-site/

- install what you need

enjoy 077 version.

Regards
--
Andrea
Re: Latest update severely pooches Eclipse [message #45292 is a reply to message #45262] Wed, 29 April 2009 05:02 Go to previous messageGo to next message
Igor Burilo is currently offline Igor Burilo
Messages: 435
Registered: July 2009
Senior Member
Hello All,

I just fixed the problem. In order to make Subversive working, please,
update to latest SVN Connectors. For more details, please, see
https://bugs.eclipse.org/bugs/show_bug.cgi?id=274010. Sorry for
inconvenience.
Re: Latest update severely pooches Eclipse [message #45351 is a reply to message #45292] Wed, 29 April 2009 05:53 Go to previous messageGo to next message
Malis Ung is currently offline Malis Ung
Messages: 7
Registered: July 2009
Junior Member
Igor Burilo wrote:

> Hello All,

> I just fixed the problem. In order to make Subversive working, please,
> update to latest SVN Connectors. For more details, please, see
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=274010. Sorry for
> inconvenience.
Hi,

Even with the SVN connectors fix, this still doesn't work for me.
I have just done an update of everything related to
subversive/connectors/etc... and now, I cannot do anything with my checked
out projects.
For example, doing a right click on my project, then selecting the "Team"
item, some actions are no longer available (like Update, Synchronize with
Repository, Show or Set properties, etc...).
And when I try one of the "available" actions, like "Show History", I get
immediately an error:

SVN: '0x00400114: Show History View' operation finished with error:
org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V

Do I also have to downgrade to version 0.7.7 ???
Am I the only one still having this problem?

Malis
Re: Latest update severely pooches Eclipse [message #45375 is a reply to message #45351] Wed, 29 April 2009 08:39 Go to previous messageGo to next message
Steve Whatmore is currently offline Steve Whatmore
Messages: 95
Registered: July 2009
Member
Seconded and confirmed that does not fix the issue.

"Malis Ung" <malis.ung@wincor-nixdorf.com> wrote in message
news:5154f6eaf2058ef4249d66b4ff67011e$1@www.eclipse.org...
> Igor Burilo wrote:
>
>> Hello All,
>
>> I just fixed the problem. In order to make Subversive working, please,
>> update to latest SVN Connectors. For more details, please, see
>> https://bugs.eclipse.org/bugs/show_bug.cgi?id=274010. Sorry for
>> inconvenience.
> Hi,
>
> Even with the SVN connectors fix, this still doesn't work for me.
> I have just done an update of everything related to
> subversive/connectors/etc... and now, I cannot do anything with my checked
> out projects.
> For example, doing a right click on my project, then selecting the "Team"
> item, some actions are no longer available (like Update, Synchronize with
> Repository, Show or Set properties, etc...).
> And when I try one of the "available" actions, like "Show History", I get
> immediately an error:
>
> SVN: '0x00400114: Show History View' operation finished with error:
> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
>
> Do I also have to downgrade to version 0.7.7 ???
> Am I the only one still having this problem?
>
> Malis
>
Re: Latest update severely pooches Eclipse [message #45405 is a reply to message #45351] Wed, 29 April 2009 08:44 Go to previous messageGo to next message
Malis Ung is currently offline Malis Ung
Messages: 7
Registered: July 2009
Junior Member
Hi,

I have just finished to get my previous checked-out projects to work again
with Subversive.
For this, I had to install the following versions:
- Subversive-incubation-0.7.7.I20090224-1900.zip
- Subversive-connectors-2.1.0.I20090213-1500.zip

When I try install newer subversive connectors (i.e.:
Subversive-connectors-2.1.0.I20090416-1900.zip or the latest one
Subversive-connectors-2.2.0.I20090429-1300.zip), I get this weird behavior
that I have described previously (some actions are no longer accessible
like Update or Set/Show properties; and when trying to execute one of the
available actions like "Show history", then I get immediately an error).

The SVN connector I use is Native JavaHL (svn: 1.4.5 (r25188) jni:0.9.0).
I am under Windows, and I use the latest official build of Eclipse (3.4.2).
Am I missing something? Am I condemned never to update subversive and its
connectors?

Thanks for your help!

Malis
Re: Latest update severely pooches Eclipse [message #45434 is a reply to message #45375] Wed, 29 April 2009 08:45 Go to previous messageGo to next message
Steve Whatmore is currently offline Steve Whatmore
Messages: 95
Registered: July 2009
Member
The "pooch award" goes to...

When is an appropriate time to start the "good natured ribbing" of the SVN
team - LOL - JK


"Whatty" <steven.whatmore@lynxdev.com> wrote in message
news:gt9i2o$f2m$1@build.eclipse.org...
> Seconded and confirmed that does not fix the issue.
>
> "Malis Ung" <malis.ung@wincor-nixdorf.com> wrote in message
> news:5154f6eaf2058ef4249d66b4ff67011e$1@www.eclipse.org...
>> Igor Burilo wrote:
>>
>>> Hello All,
>>
>>> I just fixed the problem. In order to make Subversive working, please,
>>> update to latest SVN Connectors. For more details, please, see
>>> https://bugs.eclipse.org/bugs/show_bug.cgi?id=274010. Sorry for
>>> inconvenience.
>> Hi,
>>
>> Even with the SVN connectors fix, this still doesn't work for me.
>> I have just done an update of everything related to
>> subversive/connectors/etc... and now, I cannot do anything with my
>> checked out projects.
>> For example, doing a right click on my project, then selecting the "Team"
>> item, some actions are no longer available (like Update, Synchronize with
>> Repository, Show or Set properties, etc...).
>> And when I try one of the "available" actions, like "Show History", I get
>> immediately an error:
>>
>> SVN: '0x00400114: Show History View' operation finished with error:
>> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
>> org.eclipse.team.svn.core.connector.SVNChangeStatus.<init> (Ljava/lang/String;Ljava/lang/String;IJJJLjava/lang/String;I IIIZZLjava/lang/String;Ljava/lang/String;Ljava/lang/String;L java/lang/String;JZLjava/lang/String;Ljava/lang/String;Ljava /lang/String;JLorg/eclipse/team/svn/core/connector/SVNLock;J JILjava/lang/String;)V
>>
>> Do I also have to downgrade to version 0.7.7 ???
>> Am I the only one still having this problem?
>>
>> Malis
>>
>
>
Re: Latest update severely pooches Eclipse (OS 10.5.6) [message #45464 is a reply to message #45405] Wed, 29 April 2009 10:57 Go to previous messageGo to next message
Bill Levering is currently offline Bill Levering
Messages: 1
Registered: July 2009
Junior Member
I too experienced a complete failure with the new Subversive update.
(Installed via auto-updates)

I started out with Subversion 1.5.6, but upgrading to 1.6.1 didn't fix it.

I started out with JavaHL 1.5, but using SVNConnector 1.2.2 didn't fix it.

Using the Eclipse revert option didn't work.

My working solution was to restore Eclipse from backup (aka Time-Machine)!

FYI, I'm back on Subversion 1.5.6 and JavaHL 1.5.

Bill
Re: Latest update severely pooches Eclipse [message #45492 is a reply to message #45262] Wed, 29 April 2009 16:37 Go to previous messageGo to next message
Steve Whatmore is currently offline Steve Whatmore
Messages: 95
Registered: July 2009
Member
Andrea,

I can't seem to get those connectors to work with my 3.4.1 image.

It is complaining about the unsatisfied requirement
org.eclipse.ui.workbench[3.4.2.M20090127-1700]

Any ideas.

As well, does anyone know if the SVN team is going to fix the issue with the
current update site?

Whatty

"a.dessi" <andrealuciano.dessi@gmail.com> wrote in message
news:49F810B8.50404@gmail.com...
> Jens Ohlsson:
>> Perhaps there's an easy way to downgrade the plugin, but I had to
>> manually edit a couple of files in my installation to uninstall the 0.7.8
>> version. Uninstall and revert didn't work. After that I installed fom my
>> local downloaded update site.
>
> Yes. Actually the quickest way to downgrade your eclipse with subversive
> 077 is:
>
> - remove all Subversive components from eclise using the normal way
> - remove all URL concerning Subversive from your update sites list
> - download this Subversive-incubation-0.7.7.I20090224-1900.zip
> - add to your update site list this
> Subversive-incubation-0.7.7.I20090224-1900.zip
>
> - add to your update site the connector site
> http://www.polarion.org/projects/subversive/download/eclipse /2.0/update-site/
>
> - install what you need
>
> enjoy 077 version.
>
> Regards
> --
> Andrea
Re: Latest update severely pooches Eclipse [message #45580 is a reply to message #45292] Wed, 29 April 2009 22:52 Go to previous messageGo to next message
Will Horn is currently offline Will Horn
Messages: 265
Registered: July 2009
Senior Member
Thanks, works for me on Eclipse 3.5M6

"Igor Burilo" <igor.burilo@polarion.org> wrote in message
news:gt9539$r3q$1@build.eclipse.org...
> Hello All,
>
> I just fixed the problem. In order to make Subversive working, please,
> update to latest SVN Connectors. For more details, please, see
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=274010. Sorry for
> inconvenience.
>
Re: Latest update severely pooches Eclipse [message #45639 is a reply to message #45492] Thu, 30 April 2009 03:24 Go to previous messageGo to next message
Eclipse User
Originally posted by: andrealuciano.dessi.gmail.com

Whatty:
> Andrea,
>
> I can't seem to get those connectors to work with my 3.4.1 image.
>
> It is complaining about the unsatisfied requirement
> org.eclipse.ui.workbench[3.4.2.M20090127-1700]
>
> Any ideas.
>
> As well, does anyone know if the SVN team is going to fix the issue with the
> current update site?
>
> Whatty

I didn't know those connectors need eclipse 3.4.2 platform.
Maybe Subversive Team could tell we exactly what version
of plugin and connector surely works with 3.4.1.

Anyway there are archived connector here:
http://www.polarion.org/projects/subversive/download/eclipse /2.0/builds/

But i dont' know if they fit you.

--
Andrea
Re: Latest update severely pooches Eclipse [message #45669 is a reply to message #45639] Thu, 30 April 2009 06:56 Go to previous messageGo to next message
Steve Whatmore is currently offline Steve Whatmore
Messages: 95
Registered: July 2009
Member
Does anyone know if the SVN team fixing the original issue?


"a.dessi" <andrealuciano.dessi@gmail.com> wrote in message
news:gtbjn7$r3d$1@build.eclipse.org...
> Whatty:
>> Andrea,
>>
>> I can't seem to get those connectors to work with my 3.4.1 image.
>>
>> It is complaining about the unsatisfied requirement
>> org.eclipse.ui.workbench[3.4.2.M20090127-1700]
>>
>> Any ideas.
>>
>> As well, does anyone know if the SVN team is going to fix the issue with
>> the current update site?
>>
>> Whatty
>
> I didn't know those connectors need eclipse 3.4.2 platform.
> Maybe Subversive Team could tell we exactly what version
> of plugin and connector surely works with 3.4.1.
>
> Anyway there are archived connector here:
> http://www.polarion.org/projects/subversive/download/eclipse /2.0/builds/
>
> But i dont' know if they fit you.
>
> --
> Andrea
Re: Latest update severely pooches Eclipse [message #45788 is a reply to message #45048] Mon, 04 May 2009 16:14 Go to previous messageGo to next message
Jason Vendryes is currently offline Jason Vendryes
Messages: 1
Registered: July 2009
Junior Member
I am also getting this issue after updating, any fixes yet?
Re: Latest update severely pooches Eclipse [message #45817 is a reply to message #45048] Tue, 05 May 2009 04:54 Go to previous messageGo to next message
Igor Burilo is currently offline Igor Burilo
Messages: 435
Registered: July 2009
Senior Member
Hello All,

I created a bug on Bugzilla about this problem:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=274010 and it was fixed. In
short, you just need to update to latest SVN Connectors.
Here's a full description of the problem and description of how to fix it:

The problem was that I didn't update 'latest release update site' for SVN
connectors(weekly update site contained latest changes and it worked with
it), I just did it and it should work now.
So in order to resolve the problem, please, update SVN Connectors. You can
do it either from update site:
http://www.polarion.org/projects/subversive/download/eclipse /2.0/update-site/
or from archived update site:
http://community.polarion.com/projects/subversive/download/e clipse/2.0/builds/Subversive-connectors-2.2.0.I20090429-1300 .zip

Important: If you make the update(not the first-time installing) of
Subversive you can encounter in situation that you have already installed
previous versions of connectors which may cause problems. So for correct
work I recommend you to completely uninstall all previously installed SVN
Connectors before installing new ones. In Eclipse 3.4.x you can do it in
Help/Sofware updates... menu in Installed Software tab, select svn
connectors and unistall them. SVN Connectors start with following names:
JavaHL ..., Native JavaHL ..., SVNKit ... etc.
In order to ensure that you don't have old connectors, you can check them in
Windows/Preferences/Team/SVN in SVN Connector tab. There you should have
SVNKit starting from 1.2.2 version, e.g. Default SVN Kit (SVN 1.5.5
SVNKit/1.2.2), SVN Kit (SVN 1.6.1 SVNKit/1.3.0-beta) and Native JavaHL (svn:
1.5.4); Native JavaHL (svn: 1.6.0).

Starting from this version we don't support SVN 1.4 connectors any more.
Re: Latest update severely pooches Eclipse [message #46035 is a reply to message #45817] Tue, 05 May 2009 15:44 Go to previous messageGo to next message
Michael Giroux is currently offline Michael Giroux
Messages: 78
Registered: July 2009
Location: Phoenix, AZ
Member
Attempting to update SVNKit from either the update site, or the local
update site referenced above I get the following failure.


Cannot complete the request. See the details.
Cannot find a solution satisfying the following requirements
org.eclipse.swt
[3.4.2.v3452b].
Re: Latest update severely pooches Eclipse [message #46096 is a reply to message #45048] Wed, 06 May 2009 11:04 Go to previous message
Nick Maynard is currently offline Nick Maynard
Messages: 1
Registered: July 2009
Junior Member
Another factor that might have been causing problems here:

The fullmoon.torolab.ibm.com Eclipse download mirror has been a few weeks
out of date for a while - this will have resulted in some people
downloading old versions of the download.eclipse.org repository plugins,
and new versions of the Polarion repository plugins.

I hit this - it caused unsynchronized versions and thus the
MethodNotFoundblahblah errors.

Eclipse bug submitted on fullmoon sync issue - looks like it's getting
some attention:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=275142

In the meantime, you could hardcode your update site reference to point to
another mirror.

Nick Maynard
nick.maynard@alumni.doc.ic.ac.uk
Previous Topic:Using Subversive on tree elements that represents more than one folder
Next Topic:How to correctly share a Maven multimodule project?
Goto Forum:
  


Current Time: Wed Aug 20 12:40:35 EDT 2014

Powered by FUDForum. Page generated in 0.02385 seconds